SkirentalWebFrontend::Engine.routes.draw do
    get "/" => "shop_base#portal_page"
    get "/sitemap.xml" => "sitemap#index", :format => "xml", :as => :sitemap
    get '/new_session' => 'shop_base#new_session'
    get '/new_session/:shop_id' => 'shop_base#new_session'
    get '/new_session/:shop_id/:locale' => 'shop_base#new_session'
    get '/:shop_id/' => 'shop_base#show'
    get '/:shop_id/reservation' => 'reservations#show'
    get '/:shop_id/reservation/:angular_action' => 'reservations#show'
    get '/:locale/:shop_id/' => 'shop_base#show'
    get '/:locale/:shop_id/reservation' => 'reservations#show'
    get '/:locale/:shop_id/reservation/:angular_action' => 'reservations#show'
end
