namespace :landingpage_calendar do
    desc "Builds the files for the themed/configured React-Dates calendar of the landingpage"
    task build: :environment do
        # Build the cookie files.
        Dir.chdir('sportsrental-landingpage') do
            `npm install && npm run build`
            `rm ../app/assets/javascripts/skirental_web_frontend/*.map`
            `rm ../app/assets/stylesheets/skirental_web_frontend/*.map`
            `\\cp -r build/static/js/main.*.js ../app/assets/javascripts/skirental_web_frontend/main.js`
            `\\cp -r build/static/js/main.*.map ../app/assets/javascripts/skirental_web_frontend`
            `\\cp -r build/static/css/main.*.css ../app/assets/stylesheets/skirental_web_frontend/main.css`
            `\\cp -r build/static/css/main.*.map ../app/assets/stylesheets/skirental_web_frontend`
        end

    end
end
